#define SIZE 4
#define COLS (SIZE+1)
#define ROWS SIZE

#include "exam01.h"

 /***********************************************************************
 *	Antes de compilar en el men'u Project/Open project, abre el         *
 *	proyecto llamado exam01.prj                                         *
 *                                                                      *
 *	Antes de correr el programa en el men'u Run/Argumets escribe        *
 *				mtx.001 out.001                                         *
 *  o c'orrelo desde DOS:                                               *
 *              c:\> mainsmpl mtx.001 out.001                           *
 ***********************************************************************/

 /***********************************************************************
 *	Main                                                                *
 *                                                                      *
 *	Sintaxis:                                                           *
 *		mainsmpl archivo_entrada archivo_salida                         *
 *                                                                      *
 *	archivo_entrada debe contener una matriz en el formato especificado *
 *	en la documetaci'on de InitMatrix.                                  *
 *                                                                      *
 *	Observaciones:                                                      *
 *  archivo_salida ser'a sobreescrito cada vez que el programa se corra	*
 ***********************************************************************/

int main(int argc, char *argv[] )
{
	float matrix[ROWS][COLS];

	if( argc < 3 )
	{
		printf("\n La sintaxis para este programa es: \n\n");
		printf("\t mainsmpl archivo_entrada archivo_salida \n\n");
		printf("\t archivo_entrada debe contener una matriz en el formato \n");
		printf("\t especificado en la documetaci'on de InitMatrix. \n\n");
	}

	InitMatrix( matrix[0], ROWS, COLS, argv[1] );

	 /*******************************************************************
	 *  Aqu'i debe de ir tu parte del c'odigo que aplica el m'etodo de  *
	 *	Gauss-Jordan a la matriz                                        *
	 *******************************************************************/
{
	int i,j;
		for(i=0;i<rows;i++)
			for(j=0;j<cols;j++)
	if(matriz[i][i]==0 )
	matriz[i][j]*=(1/matriz[i][i]);
	matriz[i-1][j-1]=(((matriz[i][j])*matriz[1][0])-matriz[i-1][j-1]);




	PrintMatrix( "out", matrix[0], ROWS, COLS);
	PrintMatrix( argv[2] , matrix[0], ROWS, COLS);
	return 0;
}
